"""
This script reads a specific black and white BMP file,
and outputs a text file with 'x' where the pixel is dark enough.
This is by no means a generic BMP parser.
Jeremie Gillet - Skill Pill: Programming with Python - Feb. 2016
"""

from struct import *
g = open("output.txt","w")
f = open("gakkun.bmp","r")

f.seek(10)
offset= unpack('<i',f.read(4))[0] # where data begins

f.seek(18)
width = unpack('<i',f.read(4))[0] # width of image
height = unpack('<i',f.read(4))[0] # height of image


f.seek(offset)
for row in range(abs(height)):
    for col in range(width):
        [B, G, R, A] = unpack('BBBB',f.read(4)) # value of pixels
        if R>128: # if the grey value is under half
            g.write(' ')
        else:
            g.write('x')
    g.write('\n')


f.close()
g.close()